geronimo-scm mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From xiam...@apache.org
Subject svn commit: r1488858 - /geronimo/sandbox/forrest/handyScripts/generateSigs.sh
Date Mon, 03 Jun 2013 06:37:07 GMT
Author: xiaming
Date: Mon Jun  3 06:37:07 2013
New Revision: 1488858

URL: http://svn.apache.org/r1488858
Log:
Add a scripts to handle artifacts checksum and signature generation

Added:
    geronimo/sandbox/forrest/handyScripts/generateSigs.sh   (with props)

Added: geronimo/sandbox/forrest/handyScripts/generateSigs.sh
URL: http://svn.apache.org/viewvc/geronimo/sandbox/forrest/handyScripts/generateSigs.sh?rev=1488858&view=auto
==============================================================================
--- geronimo/sandbox/forrest/handyScripts/generateSigs.sh (added)
+++ geronimo/sandbox/forrest/handyScripts/generateSigs.sh Mon Jun  3 06:37:07 2013
@@ -0,0 +1,14 @@
+#!/bin/bash
+if [ $# -ne 1 ] ; then
+        echo "Usage $0 [directory]" 
+        exit 1
+fi
+find $1 -type f  -print0 | while IFS= read -r -d $'\0' file; do
+    (
+    cd "$(dirname "$file")"
+    filename="$(basename "$file")"
+    gpg -a --output "$filename".asc --detach-sig "$filename"
+    md5sum "$filename" > "$filename".md5
+    sha1sum "$filename" > "$filename".sha1
+    )
+done

Propchange: geronimo/sandbox/forrest/handyScripts/generateSigs.sh
------------------------------------------------------------------------------
    svn:executable = *



Mime
View raw message